searchData={"items":[{"type":"module","title":"Ueberauth.Strategy.Tiktok","doc":"Provides an Überauth strategy for authenticating with Tiktok","ref":"Ueberauth.Strategy.Tiktok.html"},{"type":"module","title":"Setup - Ueberauth.Strategy.Tiktok","doc":"Create an application in Tiktok for you to use.\n\nRegister a new application at: [tiktok developer page](https://developers.tiktok.com/)\nand get the `client_key` and `client_secret`.\n\nInclude the provider in your configuration for Ueberauth;\n\n    config :ueberauth, Ueberauth,\n      providers: [\n        tiktok: { Ueberauth.Strategy.Tiktok, [] }\n      ]\n\nThen include the configuration for Tiktok:\n\n    config :ueberauth, Ueberauth.Strategy.Tiktok.OAuth,\n      client_key: System.get_env(\"TIKTOK_CLIENT_KEY\"),\n      client_secret: System.get_env(\"TIKTOK_CLIENT_SECRET\")\n\nIf you haven't already, create a pipeline and setup routes for your callback handler\n\n    pipeline :auth do\n      Ueberauth.plug \"/auth\"\n    end\n\n    scope \"/auth\" do\n      pipe_through [:browser, :auth]\n\n      get \"/:provider/callback\", AuthController, :callback\n    end\n\nCreate an endpoint for the callback where you will handle the\n`Ueberauth.Auth` struct:\n\n    defmodule MyApp.AuthController do\n      use MyApp.Web, :controller\n\n      def callback_phase(%{ assigns: %{ ueberauth_failure: fails } } = conn, _params) do\n        # do things with the failure\n      end\n\n      def callback_phase(%{ assigns: %{ ueberauth_auth: auth } } = conn, params) do\n        # do things with the auth\n      end\n    end\n\nYou can edit the behaviour of the Strategy by including some options when you\nregister your provider.\n\nTo set the `redirect_uri`:\n\n    config :ueberauth, Ueberauth,\n      providers: [\n        tiktok: { Ueberauth.Strategy.Tiktok, [redirect_uri: \"https://redirect-uri-example.com/auth/tiktok/callback\"] }\n      ]\n\n\nTo set the default 'scopes' (permissions):\n\n    config :ueberauth, Ueberauth,\n      providers: [\n        tiktok: { Ueberauth.Strategy.Tiktok, [default_scope: \"user.basic.info\"] }\n      ]\n\nDefault is user.basic.info which \"Grants read-only access to some user profile information.\"","ref":"Ueberauth.Strategy.Tiktok.html#module-setup"},{"type":"function","title":"Ueberauth.Strategy.Tiktok.credentials/1","doc":"Includes the credentials from the Tiktok response.","ref":"Ueberauth.Strategy.Tiktok.html#credentials/1"},{"type":"function","title":"Ueberauth.Strategy.Tiktok.default_options/0","doc":"","ref":"Ueberauth.Strategy.Tiktok.html#default_options/0"},{"type":"function","title":"Ueberauth.Strategy.Tiktok.extra/1","doc":"Stores the raw information (including the token) obtained from the Tiktok\ncallback.","ref":"Ueberauth.Strategy.Tiktok.html#extra/1"},{"type":"function","title":"Ueberauth.Strategy.Tiktok.handle_cleanup!/1","doc":"Cleans up the private area of the connection used for passing the raw Tiktok\nresponse around during the callback.","ref":"Ueberauth.Strategy.Tiktok.html#handle_cleanup!/1"},{"type":"function","title":"Ueberauth.Strategy.Tiktok.handle_request!/1","doc":"Handles the initial redirect to the tiktok authentication page.\n\nTo customize the scope that are requested by tiktok include\nthem as part of your url:\n\n    \"/auth/tiktok?scope=user.basic.info&code_verifier=[]\"","ref":"Ueberauth.Strategy.Tiktok.html#handle_request!/1"},{"type":"function","title":"Ueberauth.Strategy.Tiktok.info/1","doc":"Fetches the fields to populate the info section of the `Ueberauth.Auth`\nstruct.","ref":"Ueberauth.Strategy.Tiktok.html#info/1"},{"type":"function","title":"Ueberauth.Strategy.Tiktok.uid/1","doc":"","ref":"Ueberauth.Strategy.Tiktok.html#uid/1"},{"type":"module","title":"Ueberauth.Strategy.Tiktok.OAuth","doc":"An implementation of OAuth2 for Tiktok.\n\nTo add your `:client_key` and `:client_secret` include these values in your\nconfiguration:\n\n    config :ueberauth, Ueberauth.Strategy.Tiktok.OAuth,\n      client_key: System.get_env(\"TIKTOK_CLIENT_KEY\"),\n      client_secret: System.get_env(\"TIKTOK_CLIENT_SECRET\")","ref":"Ueberauth.Strategy.Tiktok.OAuth.html"},{"type":"function","title":"Ueberauth.Strategy.Tiktok.OAuth.authorize_url/2","doc":"","ref":"Ueberauth.Strategy.Tiktok.OAuth.html#authorize_url/2"},{"type":"function","title":"Ueberauth.Strategy.Tiktok.OAuth.authorize_url!/1","doc":"Provides the authorize url for the request phase of Ueberauth.","ref":"Ueberauth.Strategy.Tiktok.OAuth.html#authorize_url!/1"},{"type":"function","title":"Ueberauth.Strategy.Tiktok.OAuth.client/1","doc":"Construct a client for requests to Tiktok.\n\nOptionally include any OAuth2 options here to be merged with the defaults:\n\n    Ueberauth.Strategy.Tiktok.OAuth.client(\n      redirect_uri: \"http://localhost:4000/auth/tiktok/callback\"\n    )\n\nThis will be setup automatically for you in `Ueberauth.Strategy.Tiktok`.\n\nThese options are only useful for usage outside the normal callback phase of\nUeberauth.","ref":"Ueberauth.Strategy.Tiktok.OAuth.html#client/1"},{"type":"function","title":"Ueberauth.Strategy.Tiktok.OAuth.get/4","doc":"Makes a GET request to the specified URL using the provided Tiktok token.","ref":"Ueberauth.Strategy.Tiktok.OAuth.html#get/4"},{"type":"function","title":"Parameters - Ueberauth.Strategy.Tiktok.OAuth.get/4","doc":"- `token` (String): The OAuth token to be used for authentication.\n  - `url` (String): The URL to which the GET request is made.\n  - `headers` (List, optional): A list of headers to include in the request. Defaults to an empty list.\n  - `opts` (List, optional): A list of options to customize the request. Defaults to an empty list.","ref":"Ueberauth.Strategy.Tiktok.OAuth.html#get/4-parameters"},{"type":"function","title":"Returns - Ueberauth.Strategy.Tiktok.OAuth.get/4","doc":"- The response from the OAuth2 client.","ref":"Ueberauth.Strategy.Tiktok.OAuth.html#get/4-returns"},{"type":"function","title":"Examples - Ueberauth.Strategy.Tiktok.OAuth.get/4","doc":"iex> get(\"your_token\", \"/user/info/?fields=open_id,union_id,avatar_url,display_name\")\n    %OAuth2.Response{status_code: 200, body: %{\"data\" => %{\"user\" => %{\"avatar_url\" => \"https://example.com/avatar.jpg\", \"display_name\" => \"Shapath Neupane\"}}}}","ref":"Ueberauth.Strategy.Tiktok.OAuth.html#get/4-examples"},{"type":"function","title":"Ueberauth.Strategy.Tiktok.OAuth.get_token/3","doc":"","ref":"Ueberauth.Strategy.Tiktok.OAuth.html#get_token/3"},{"type":"function","title":"Ueberauth.Strategy.Tiktok.OAuth.get_token!/1","doc":"Fetches the access token from Tiktok.","ref":"Ueberauth.Strategy.Tiktok.OAuth.html#get_token!/1"},{"type":"extras","title":"Überauth Tiktok","doc":"# Überauth Tiktok\n\n<!-- [![Build Status](https://travis-ci.org/ueberauth/ueberauth_github.svg?branch=master)](https://travis-ci.org/ueberauth/ueberauth_github)\n[![Module Version](https://img.shields.io/hexpm/v/ueberauth_github.svg)](https://hex.pm/packages/ueberauth_github)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-lightgreen.svg)](https://hexdocs.pm/ueberauth_github/)\n[![Total Download](https://img.shields.io/hexpm/dt/ueberauth_github.svg)](https://hex.pm/packages/ueberauth_github)\n-->\n\n[![Last Updated](https://img.shields.io/github/last-commit/theshapguy/ueberauth_tiktok.svg)](https://github.com/ueberauth/ueberauth_github/commits/master)\n\n> Tiktok OAuth2 strategy for Überauth.","ref":"readme.html"},{"type":"extras","title":"Installation - Überauth Tiktok","doc":"1.  Setup your application with [Tiktok Developer Account](https://developers.tiktok.com/).\n\n2.  Add `:ueberauth_tiktok` to your list of dependencies in `mix.exs`:\n\n    ```elixir\n    def deps do\n      [\n        {:ueberauth_tiktok, \"~> 0.1.0\"}\n      ]\n    end\n    ```\n\n3.  Add Tiktok to your Überauth configuration:\n\n    ```elixir\n    config :ueberauth, Ueberauth,\n      providers: [\n        tiktok: {Ueberauth.Strategy.Tiktok, []}\n      ]\n    ```\n\n4.  Update your provider configuration:\n\n    ```elixir\n    config :ueberauth, Ueberauth.Strategy.Tiktok.OAuth,\n      client_key: System.get_env(\"TIKTOK_CLIENT_KEY\"),\n      client_secret: System.get_env(\"TIKTOK_CLIENT_SECRET\")\n    ```\n\n    Or, to read the client credentials at runtime:\n\n    ```elixir\n    config :ueberauth, Ueberauth.Strategy.Tiktok.OAuth,\n      client_key: {:system, \"TIKTOK_CLIENT_KEY\"},\n      client_secret: {:system, \"TIKTOK_CLIENT_SECRET\"}\n    ```\n\n5.  Include the Überauth plug in your router:\n\n    ```elixir\n    defmodule MyApp.Router do\n      use MyApp.Web, :router\n\n      pipeline :browser do\n        plug Ueberauth\n        ...\n       end\n    end\n    ```\n\n6.  Create the request and callback routes if you haven't already:\n\n    ```elixir\n    scope \"/auth\", MyApp do\n      pipe_through :browser\n\n      get \"/:provider\", AuthController, :request\n      get \"/:provider/callback\", AuthController, :callback\n    end\n    ```\n\n7.  Your controller needs to implement callbacks to deal with `Ueberauth.Auth`\n    and `Ueberauth.Failure` responses.\n\nFor an example implementation see the [Überauth Example](https://github.com/ueberauth/ueberauth_example) application.","ref":"readme.html#installation"},{"type":"extras","title":"Calling - Überauth Tiktok","doc":"Depending on the configured url you can initiate the request through:\n\n    /auth/tiktok\n\nOr with options:\n\n    /auth/tiktok?scope=user.basic.info&code_verifier=\n\nBy default the requested scope is `\"user.basic.info\"`. This provides read access to the Tiktok user profile details. Tiktok API excludes user's email address\nwhich results in a `nil` for `email` inside returned `%Ueberauth.Auth.Info{}`.\n\nSee more at [Tiktok's OAuth Documentation](https://developers.tiktok.com/doc/login-kit-manage-user-access-tokens/).\n\nScope can be configured either explicitly as a `scope` query value on the\nrequest path or in your configuration:\n\n```elixir\nconfig :ueberauth, Ueberauth,\n  providers: [\n    github: {Ueberauth.Strategy.Tiktok, [default_scope: \"user.basic.info,user.basic.profile\"]}\n  ]\n```","ref":"readme.html#calling"},{"type":"extras","title":"Copyright and License - Überauth Tiktok","doc":"Copyright (c) 2024 Shapath Neupane\n\nThis library is released under the MIT License. See the [LICENSE.md](./LICENSE.md) file","ref":"readme.html#copyright-and-license"},{"type":"extras","title":"Docs - Überauth Tiktok","doc":"Published at [HexDocs](https://hexdocs.pm/ueberauth_tiktok).","ref":"readme.html#docs"},{"type":"extras","title":"Notes - Überauth Tiktok","doc":"1. The TikTok API does not allow redirect URIs with port numbers in the staging environment. For more information, see [this Stack Overflow answer](https://stackoverflow.com/a/73533804).\n2. Use `TIKTOK_CLIENT_KEY` instead of `TIKTOK_CLIENT_ID` as TikTok's OAuth implementation provides a client key.","ref":"readme.html#notes"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}